EC_DICT_ITER_NEXT(3)

NAME
ec_dict_iter_next - Make the iterator point to the next element in the hash table.

SYNOPSIS
#include <ecoli/dict.h>

struct ec_dict_elt_ref * ec_dict_iter_next(
    struct ec_dict_elt_ref   *iter   /* The hash table iterator. */
);

RETURN VALUE

An iterator element, or NULL if there is no more element.

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.